import {Obj} from "../interface";
import request from '../utils/request'

export function register(data: Obj) {
  return request({
    url: '/goim/user/register',
    params: data
  })
}

export function login(data: Obj) {
  return request({
    url: '/goim/user/login',
    params: data
  })
}

export function getFriends() {
  return request({
    url: '/goim/get/friends',
  })
}

export function addFriend(data: Obj) {
  return request({
    url: '/goim/add/friend',
    params: data
  })
}

export function getGroups() {
  return request({
    url: '/goim/get/groups'
  })
}

// 创建群
export function addGroup(data: Obj) {
  return request({
    url: '/goim/add/group',
    params: data
  })
}

export function groupMembers(data: Obj) {
  return request({
    url: '/goim/get/groupMembers',
    params: data
  })
}

export function addGroupMember(data: Obj) {
  return request({
    url: '/goim/add/groupMember',
    params: data
  })
}

export function findUser(data: Obj) {
  return request({
    url: '/goim/find/user',
    params: data
  })
}

export function messageList(data: Obj) {
  return request({
    url: '/goim/get/messages',
    data,
  })
}

export function sendMessageToUser(data: Obj) {
  return request({
    url: `/goim/push/mids?operation=1000&mids=${data.to}`,
    data
  })
}

export function sendMessageToGroup(data: Obj) {
  return request({
    url: `/goim/push/rooms?operation=${data.fromUserId}&type=live&room=${data.to}`,
    data
  })
}

export function deleteFriend(data: Obj) {
  return request({
    url: '/goim/del/friend',
    params: data
  })
}

export function deleteExitGroup(data: Obj) {
  return request({
    url: '/goim/del/groupMember',
    params: data
  })
}

export function noReadNum(data: Obj) {
  return request({
    url: '/goim/clear/noReadNum',
    data,
  })
}
