import {Obj} from '../interface'

//深克隆
export function deepCopy(obj: Obj | any[]): Obj | any[] {
  return JSON.parse(JSON.stringify(obj));
}

export function setLocalStorage(key: string, value: any): void {
  if (key && ('' + value)) {
    if (value.constructor !== String) {
      value = JSON.stringify(value);
    }
    localStorage.setItem(key, value);
  }
}

export function getLocalStorage(key: string): any {
  const item = localStorage.getItem(key);
  if (item) {
    try {
      JSON.parse(item)
    } catch (e) {
      return item;
    }
  }
  return item && JSON.parse(item);
}

export function removeLocalStorage(key: string): void {
  if (key) {
    localStorage.removeItem(key);
  }
}

// 格式化日期：yyyy-mm-dd hh:mm
export function formatDateTime(time: Date | string | number, Delimiter?: string) {
  Delimiter = Delimiter || '-';

  let now = new Date(time)
  let month = now.getMonth() + 1 + '';
  let date = now.getDate() + '';
  let hour = now.getHours() + '';
  let minute = now.getMinutes() + '';

  // 补0
  month = month.length < 2 ? '0' + month : month;
  date = date.length < 2 ? '0' + date : date;
  hour = hour.length < 2 ? '0' + hour : hour;
  minute = minute.length < 2 ? '0' + minute : minute;

  return month + Delimiter + date + " " + hour + ":" + minute;
}
